Bug 150631 - www/firefox 3.6.9 does not build if you have previously installed libunwind
www/firefox 3.6.9 does not build if you have previously installed libunwind
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-16 22:30 UTC by mashtizadeh
Modified: 2012-07-27 14:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mashtizadeh 2010-09-16 22:30:01 UTC
I cannot install or upgrade firefox if I have devel/libunwind installed. It seems that some files are not including <unwind.h> because firefox complains that it cannot find _Unwind_Backtrace.

Workaround:
 - Uninstall libunwind
 - Upgrade/install firefox
 - reinstall libunwind
Comment 1 Edwin Groothuis freebsd_committer 2010-09-17 00:48:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 yuri 2012-05-23 07:51:24 UTC
The problem exists in 9.0-STABLE amd64.

Yuri
Comment 3 Florian Smeets freebsd_committer 2012-07-27 14:25:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!